document.addEventListener('DOMContentLoaded', () => {
   browser.storage.local.get(['opt00', 'opt01', 'opt02', 'opt03', 'opt04', 'opt05']).then(g => {
      document.getElementById('opt00').checked = (g.opt00 == 'y') ? true : false;
      if (g.opt00 == 'y') {
         document.querySelector('html').setAttribute('dark', 1);
      }
      document.getElementById('opt01').checked = (g.opt01 == 'y') ? true : false;
      document.getElementById('opt02').checked = (g.opt02 == 'y') ? true : false;
      document.getElementById('opt03').checked = (g.opt03 == 'y') ? true : false;
      document.getElementById('opt04').checked = (g.opt04 == 'y') ? true : false;
      document.getElementById('opt05').checked = (g.opt05 == 'y') ? true : false;
   });
   document.addEventListener('contextmenu', x => {
      x.preventDefault();
   });
});
document.querySelectorAll("input[type=checkbox][id^='opt']").forEach(x => {
   x.addEventListener('click', t => {
      let v = t.target.checked ? 'y' : 'n';
      browser.storage.local.set({
         [t.target.id]: v
      });
      if (t.target.id == 'opt00') {
         if (v == 'y') {
            document.querySelector('html').setAttribute('dark', 1);
         } else {
            document.querySelector('html').removeAttribute('dark');
         }
      }
      if (t.target.id == 'opt04') {
         if (v == 'y') {
            browser.runtime.sendMessage('abase-y').then(() => {});
         } else {
            browser.runtime.sendMessage('abase-n').then(() => {});
         }
      }
      if (t.target.id == 'opt05') {
         if (v == 'y') {
            browser.runtime.sendMessage('withcf-y').then(() => {});
         } else {
            browser.runtime.sendMessage('withcf-n').then(() => {});
         }
      }
   });
});
document.getElementById('smsClose').addEventListener('click', () => {
   document.getElementById('smsb').style.display = 'none';
   document.getElementById('smsa').style.display = 'block';
});
document.getElementById('smsClear').addEventListener('click', () => {
   browser.runtime.sendMessage('clear').then(() => {
      location.reload();
   });
});
document.getElementById('smsOpen').addEventListener('click', () => {
   document.getElementById('smsa').style.display = 'none';
   browser.storage.local.get().then(g => {
      let iY = 0,
         iN = 0,
         iT, tmp, akd = [];
      Object.keys(g).forEach(a => {
         if (!['opt00', 'opt01', 'opt02', 'opt03', 'opt04', 'opt05', 'lastU', 'lastV'].includes(a) && Object.keys(g[a]).length == 2) {
            if (!akd.includes(a)) {
               akd.push(a);
               if (g[a]['cat'] && g[a]['cat'] != '') {
                  iY++;
               } else {
                  iN++;
               }
            }
         }
      });
      iT = iY + iN;
      if (iT > 0) {
         tmp = (iY * 100 / iT).toFixed(1);
         document.getElementById('lony').innerText = iY + ' (' + tmp + '%)';
         tmp = (iN * 100 / iT).toFixed(1);
         document.getElementById('lonn').innerText = iN + ' (' + tmp + '%)';
         document.getElementById('lont').innerText = (iY + iN);
      } else {
         document.getElementById('lony').innerText = 0;
         document.getElementById('lonn').innerText = 0;
         document.getElementById('lont').innerText = 0;
      }
      document.getElementById('smsb').style.display = 'block';
   });
});